#include "stdafx.h"
#include "MstructDlg.h"

CMstructDlg::CMstructDlg(cMovingStructure *_mstruct, CWnd* pParent)
	: CDialog(CMstructDlg::IDD, pParent)
{
	mstruct = _mstruct;

	//{{AFX_DATA_INIT(CMstructDlg)
	//}}AFX_DATA_INIT
}


void CMstructDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMstructDlg)
	DDX_Control(pDX, IDC_MSTRUCT_SPEED, m_Speed);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CMstructDlg, CDialog)
	//{{AFX_MSG_MAP(CMstructDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BOOL CMstructDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_Speed.SetRange(25, 200);
	m_Speed.SetPos(mstruct->speed);
	
	return TRUE;
}

void CMstructDlg::OnOK() 
{
	mstruct->speed = m_Speed.GetPos();

	CDialog::OnOK();
}

